#!/usr/local/bin/python
import sys
import regex
import time

def xui(s):
   print '%'+s
   sys.stdout.flush()

print """\
% Form f topLevel
% Text input f editType edit width 200
% action input override {<Key>Return: exec(echo [gV input string])}
% Label result f label {} width 200 fromVert input
% Command quit f fromVert result callback quit
% Label info f fromVert result fromHoriz quit label {} borderWidth 0 width 150
% realize\
"""
sys.stdout.flush()


while 1:
   l = raw_input()
   if regex.match('^[0-9]+$',l) > 0:
     xui("sV info label {thinking...}")
     min, max, result, starttime = 2, eval(l), [], time.time()
     while min <= max:
	while (max % min) == 0:
           result.append('%d' % min)
           max = max / min
        min = min + 1
     xui('sV result label {' + reduce(lambda x, y: x+'*'+y,result) + '}')
     xui('sV info   label {' + '%f' % (time.time()-starttime) + 'seconds}')
   else:
     xui("sV info label {invalid input}")

